Module java.desktop
Package javax.swing.plaf.basic

## Class BasicFormattedTextFieldUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.TextUI
    - - javax.swing.plaf.basic.BasicTextUI
      - - javax.swing.plaf.basic.BasicTextFieldUI
        - - javax.swing.plaf.basic.BasicFormattedTextFieldUI

All Implemented Interfaces:
  `ViewFactory`

    public class BasicFormattedTextFieldUI
    extends BasicTextFieldUI

Provides the look and feel implementation for `JFormattedTextField`.

Since:
  1.4

### Nested Class Summary

### Nested classes/interfaces declared in class javax.swing.plaf.basic.BasicTextUI

`BasicTextUI.BasicCaret, BasicTextUI.BasicHighlighter`

### Constructor Summary

Constructors
`BasicFormattedTextFieldUI()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ComponentUI` `createUI​(JComponent c)` Creates a UI for a JFormattedTextField.
`protected String` `getPropertyPrefix()` Fetches the name used as a key to lookup properties through the UIManager.

### Methods declared in class javax.swing.plaf.basic.BasicTextFieldUI

`create, getBaseline, getBaselineResizeBehavior`

### Methods declared in class javax.swing.plaf.basic.BasicTextUI

`create, createCaret, createHighlighter, createKeymap, damageRange, damageRange, getComponent, getEditorKit, getKeymapName, getMaximumSize, getMinimumSize, getPreferredSize, getRootView, getToolTipText, getVisibleEditorRect, installDefaults, installKeyboardActions, installListeners, installUI, modelChanged, modelToView, modelToView, paint, paintBackground, paintSafely, propertyChange, setView, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI, update, viewToModel, viewToModel`

### Methods declared in class javax.swing.plaf.TextUI

`getNextVisualPositionFrom, getToolTipText2D, modelToView2D, viewToModel2D`

### Methods declared in class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicFormattedTextFieldUI

    public BasicFormattedTextFieldUI()

### Method Detail

#### createUI

    public static ComponentUI createUI​(JComponent c)

Creates a UI for a JFormattedTextField.

Parameters:
  `c` - the formatted text field
Returns:
  the UI

#### getPropertyPrefix

    protected String getPropertyPrefix()

Fetches the name used as a key to lookup properties through the UIManager. This is used as a prefix to all the standard text properties.

Overrides:
  `getPropertyPrefix` in class `BasicTextFieldUI`
Returns:
  the name "FormattedTextField"